#ifndef __TCLIFOR_H
#include "tclifor.h"
#endif

#ifndef __VEUML1_H
#include "veuml1.h"
#endif

TCliFor::TCliFor( ) : TRelation( LF_CLIFO )
{
  add( LF_CFVEN, "TIPOCF=TIPOCF|CODCF=CODCF" );
}  

void TCliFor::load( const char tipocf, const long codcf )
{
  _tipocf = tipocf;
  _codcf = codcf;
  zero( );
  curr( ).put( "TIPOCF", tipocf );
  curr( ).put( "CODCF", codcf );
  read( );
}

const TString& TCliFor::get( const int file, const TString& fieldname )
{
  return lfile( file ).get( fieldname );
}

int TCliFor::get_int( const int file, const TString& fieldname )
{
  return lfile( file ).get_int( fieldname );
}

long TCliFor::get_long( const int file, const TString& fieldname )
{
  return lfile( file ).get_long( fieldname );
}

bool TCliFor::get_bool( const int file, const TString& fieldname )
{
  return lfile( file ).get_bool( fieldname );
}

void TCliForVendite::set_mask( TMask* mask )
{
  _mask = mask;
};

void TCliForVendite::update_mask( )
{ 
  TMask& m = *_mask;
  
  // Setta i campi che appartengono al file LF_CLIFO
  
  if ( occasionale ( ) ) 
  {
  }
  else
  {
    if( m.id2pos( F_RAGSOC ) >= 0 )
      m.set( F_RAGSOC, get( LF_CLIFO, "RAGSOC" ) );
    if( m.id2pos( F_INDCF ) >= 0 )
      m.set( F_INDCF, get( LF_CLIFO, "INDCF" ) );
    if( m.id2pos( F_CIVCF ) >= 0 )
      m.set( F_CIVCF, get( LF_CLIFO, "CIVCF" ) );
    if( m.id2pos( F_STATOPAIVA ) >= 0 )
      m.set( F_STATOPAIVA, get( LF_CLIFO, "STATOPAIVA" ) );
    if( m.id2pos( F_LOCALITACF ) >= 0 )
      m.set( F_LOCALITACF, get( LF_CLIFO, "LOCALITACF" ) );
    if( m.id2pos( F_CAPCF ) >= 0 )
      m.set( F_CAPCF, get( LF_CLIFO, "CAPCF" ) );
    if( m.id2pos( F_COMCF ) >= 0 )
      m.set( F_COMCF, get( LF_CLIFO, "COMCF" ) );
    if( m.id2pos( F_PROVCOM ) >= 0 )
      m.set( F_PROVCOM, get( LF_CLIFO, "PROVCOM" ) );
    if( m.id2pos( F_STATOCF ) >= 0 )
      m.set( F_STATOCF, get( LF_CLIFO, "STATOCF" ) );
  }
}